* TONETEST
*   A PROCEDURE TO DEMONSTRATE QTONE() vs. TONE()
*   Released to Public Domain by Malcolm N MacLeod 1990
*   Compile & link with QTONE.OBJ & the Clipper & Extend Libraries


clear
text
A for TONE() / B for QTONE() / C for TONE() Morse / D for QTONE() Morse / QUIT

Press a Key (A/B/C/D/Q):
endtext
set cursor off

********************** MAIN LOOP **********************************************
do while .T.
  pro = if(upper(chr(inkey(0))) $ "ABCDQ", chr(lastkey()), "R")
  do &pro
enddo
*******************************************************************************


*******************************************************************************
PROCEDURE R
@ 12, 0 say "Not THAT Key!        "
qtone(50,20)
@ 12, 0 say space(20)
RETURN
*******************************************************************************
PROCEDURE A
@ 12,0 say  "Using TONE()...      "
for kk = 1 to 5
  tone(400, 1)
  tone(600, 1)
next
@ 12,0 say space(20)
RETURN
*******************************************************************************
PROCEDURE B
@ 12,0 say  "Using QTONE()...     "
for kk = 1 to 5
  qtone(400, 1)
  qtone(600, 1)
next
@ 12,0 say space(20)
RETURN
********************************************************************************
PROCEDURE D
@ 12,0 say  "S.O.S. with QTONE()   "
for kk = 2 to 4
  for kkk = 1 to 3
    qtone(1000,1 + ((kk%2)*3))
    qtone(10,1)
  next
next
@ 12,0 say space(20)
RETURN
********************************************************************************
PROCEDURE C
@ 12,0 say  "S.O.S. with TONE()   "
for kk = 2 to 4
  for kkk = 1 to 3
    tone(1000,1 + ((kk%2)*3))
    tone(10,1)
  next
next
@ 12,0 say space(20)
RETURN
********************************************************************************
PROCEDURE Q
set cursor on
clear
QUIT
RETURN
********************************************************************************
